;******************************************************************************
;* TMS320C6x C/C++ Codegen                                        Unix v7.4.5 *
;* Date/Time created: Fri Oct 25 21:27:25 2013                                *
;******************************************************************************
	.compiler_opts --abi=coffabi --c64p_l1d_workaround=default --endian=little --hll_source=on --long_precision_bits=40 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=coff --silicon_version=6500 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C64x+                                          *
;*   Optimization      : Enabled at level 2                                   *
;*   Optimizing for    : Speed 1st, size 2nd                                  *
;*                       Based on options: -o2, -ms0                          *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

_qdma:	.usect	".far",128,8
;	opt6x /tmp/12392pVR9ET /tmp/123925JVaFm 
	.sect	".text"
	.clink
	.global	_qdma_wait

;******************************************************************************
;* FUNCTION NAME: qdma_wait                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,A6,B0,B1                              *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,B0,B1,B3                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_qdma_wait:
;** --------------------------------------------------------------------------*
;** 160	-----------------------    K$5 = (_qdmaNr<<4)+&qdma;
;** 160	-----------------------    if ( !(*K$5).b_running ) goto g5;
           MVKL    .S2     _qdma,B0
           MVKH    .S2     _qdma,B0
           SHL     .S1     A4,4,A0           ; |160| 
           ADD     .L1X    B0,A0,A6          ; |160| 
           LDW     .D1T1   *+A6(12),A0       ; |160| 
           MVK     .L2     1,B1
           NOP             3

   [!A0]   BNOP    .S1     $C$L4,5           ; |160| 
|| [ A0]   ZERO    .L1     A0

           ; BRANCHCC OCCURS {$C$L4}         ; |160| 
;** --------------------------------------------------------------------------*
;**  	-----------------------    U$11 = (*K$5).tcc_nr;
;**  	-----------------------    U$16 = 1<<U$11;
;**  	-----------------------    #pragma LOOP_FLAGS(4096u)
;**	-----------------------g3:
;** 162	-----------------------    if ( !(*(volatile unsigned *)0x1c01068u&U$16) ) goto g3;
;** 168	-----------------------    *(volatile unsigned *)0x1c01070u = 1u<<U$11;
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : src/dma.c
;*      Loop source line                 : 162
;*      Loop opening brace source line   : 163
;*      Loop closing brace source line   : 165
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          2        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1*       0     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG

   [!A0]   SPLOOPW 7       ;14               ; (P) 
||         LDW     .D1T2   *+A6(8),B0

;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL

           SPMASK          S1
||         MVKL    .S1     0x1c01068,A1

           SPMASK          S1
||         MVKH    .S1     0x1c01068,A1

           SPMASK          L1
||         MV      .L1     A1,A4

   [!A0]   LDW     .D1T1   *A4,A3            ; |162| (P) <0,3>  ^ 

           SPMASK          S2
||         SHL     .S2     B1,B0,B1

           NOP             1

           SPMASK          L1
||         MV      .L1X    B1,A5             ; Define a twin register

           NOP             1
           AND     .L1     A5,A3,A1          ; |162| <0,8>  ^ 
           MV      .L1     A1,A0             ; |162| <0,9>  ^ 
           NOP             2
           NOP             1
           SPKERNEL 0,0
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
;** 170	-----------------------    (*K$5).b_running = 0;
;**	-----------------------g5:
;**  	-----------------------    return;

           MVK     .L2     1,B1              ; |168| 
||         MV      .L1     A4,A1

           ADDAD   .D1     A1,1,A4
||         SHL     .S2     B1,B0,B0          ; |168| 

           STW     .D1T2   B0,*A4            ; |168| 
||         ZERO    .L1     A0                ; |170| 

           STW     .D1T1   A0,*+A6(12)       ; |170| 
;** --------------------------------------------------------------------------*
$C$L4:    
           RETNOP  .S2     B3,5              ; |172| 
           ; BRANCH OCCURS {B3}              ; |172| 
	.sect	".text"
	.clink
	.global	_qdma_init

;******************************************************************************
;* FUNCTION NAME: qdma_init                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B16,B17,B18,B19                         *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,  *
;*                           B7,B8,B9,B16,B17,B18,B19                         *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_qdma_init:
;** --------------------------------------------------------------------------*
;** 68	-----------------------    (*(C$2 = &qdma[0])).event_queue_nr = C$7 = 1u;
;** 69	-----------------------    (*C$2).param_nr = C$8 = 0u;
;** 70	-----------------------    (*C$2).tcc_nr = C$8;
;** 74	-----------------------    *((unsigned (*)[2])C$2+16) = __pack12(1u, 1u);
;** 75	-----------------------    *((unsigned *)C$2+24) = C$7;
;** 79	-----------------------    *((unsigned (*)[2])C$2+32) = __pack12(1u, 2u);
;** 80	-----------------------    *((unsigned *)C$2+40) = 2u;
;** 84	-----------------------    *((unsigned (*)[2])C$2+48) = __pack12(1u, 3u);
;** 85	-----------------------    *((unsigned *)C$2+56) = 3u;
;** 89	-----------------------    C$6 = (unsigned (*)[2])C$2+64;
;** 89	-----------------------    *C$6 = __pack12(1u, 4u);
;** 90	-----------------------    C$6[2] = 4u;
;** 94	-----------------------    C$5 = (unsigned (*)[2])C$2+80;
;** 94	-----------------------    *C$5 = __pack12(1u, 5u);
;** 95	-----------------------    C$5[2] = 5u;
;** 99	-----------------------    C$4 = (unsigned (*)[2])C$2+96;
;** 99	-----------------------    *C$4 = __pack12(1u, 6u);
;** 100	-----------------------    C$4[2] = 6u;
;** 104	-----------------------    C$3 = (unsigned (*)[2])C$2+112;
;** 104	-----------------------    *C$3 = __pack12(1u, 7u);
;** 105	-----------------------    C$3[2] = 7u;
;** 110	-----------------------    L$1 = 8;
;**  	-----------------------    U$79 = 0u;
;**  	-----------------------    U$73 = C$2;
;** 110	-----------------------    qdmaNr = 0u;
;**  	-----------------------    #pragma MUST_ITERATE(8, 8, 8)
;**  	-----------------------    #pragma LOOP_FLAGS(4096u)
;**	-----------------------g2:
;** 113	-----------------------    *((volatile unsigned *)U$79+0x1c00200u) = (*U$73).param_nr<<5|0x1cu;
;** 116	-----------------------    *(volatile unsigned *)0x1c00260u = (*U$73).event_queue_nr<<U$79;
;** 119	-----------------------    *(volatile unsigned *)0x1c01070u = 1u<<(*U$73).tcc_nr;
;** 122	-----------------------    *(volatile unsigned *)0x1c0108cu = 1u<<qdmaNr;
;** 124	-----------------------    (*U$73++{16}).b_running = 0;
;** 110	-----------------------    U$79 += 4u;
;** 110	-----------------------    ++qdmaNr;
;** 110	-----------------------    if ( L$1 = L$1-1 ) goto g2;
;** 129	-----------------------    *(volatile unsigned *)0x1c00280u = 16u;
           MVKL    .S1     _qdma,A0
           MVKH    .S1     _qdma,A0

           MV      .L1     A0,A5             ; |68| 
||         MVK     .L2     3,B0              ; |85| 

           STW     .D1T2   B0,*+A5(56)       ; |85| 
||         MVK     .L1     0x1,A3            ; |68| 

           STW     .D1T1   A3,*A5            ; |68| 
           STW     .D1T1   A3,*+A5(24)       ; |75| 
           ADDAD   .D1     A5,12,A4
           ADDAD   .D1     A5,14,A7

           ADDAD   .D1     A5,10,A1
||         ZERO    .L2     B0                ; |69| 

           STW     .D1T2   B0,*+A5(8)        ; |70| 

           STW     .D1T2   B0,*+A5(4)        ; |69| 
||         MVK     .L1     2,A3              ; |80| 

           STW     .D1T1   A3,*+A5(40)       ; |80| 

           ADDAD   .D1     A5,8,A3
||         MVK     .L2     6,B0              ; |100| 

           MVK     .L2     4,B0              ; |90| 
||         STW     .D1T2   B0,*+A4(8)        ; |100| 

           MVK     .L2     1,B0              ; |84| 
||         STW     .D1T2   B0,*+A3(8)        ; |90| 
||         MVK     .L1     7,A8              ; |105| 

           STW     .D1T1   A8,*+A7(8)        ; |105| 
||         MVK     .L1     5,A6              ; |95| 

           MV      .L1X    B0,A9             ; |79| 
||         STW     .D1T1   A6,*+A1(8)        ; |95| 
||         MVK     .L2     3,B1              ; |84| 

           MV      .L1X    B0,A8             ; |79| 
||         STDW    .D1T2   B1:B0,*+A5(48)    ; |84| 

           STDW    .D1T1   A9:A8,*+A5(16)    ; |74| 
||         MVK     .L2     2,B1              ; |79| 

           MVK     .L2     6,B1              ; |99| 
||         STDW    .D1T2   B1:B0,*+A5(32)    ; |79| 

           MV      .L1X    B0,A4             ; |79| 
||         MVK     .S1     7,A5              ; |104| 
||         STDW    .D1T2   B1:B0,*A4         ; |99| 
||         MVKL    .S2     0x1c01070,B6

           STDW    .D1T1   A5:A4,*A7         ; |104| 
||         MV      .L2X    A6,B1             ; |99| 
||         MVKL    .S2     0x1c00200,B3
||         MV      .D2     B3,B8             ; |65| 

           STDW    .D1T2   B1:B0,*A1         ; |94| 
||         MVKH    .S2     0x1c01070,B6

           MVK     .L1     4,A7              ; |89| 
||         MVK     .S1     28,A5
||         MV      .D1X    B0,A6             ; |79| 
||         MV      .L2X    A0,B4             ; |68| 
||         MVKH    .S2     0x1c00200,B3

           STDW    .D1T1   A7:A6,*A3         ; |89| 
||         ADD     .L1X    B6,A5,A5
||         ADDAD   .D2     B3,12,B7
||         ZERO    .S1     A2                ; |110| 

           LDW     .D2T2   *+B4(4),B1        ; |113| (P) <0,0>  ^ 
||         MV      .L1X    B4,A7
||         ZERO    .S1     A3                ; |110| 
||         ZERO    .L2     B0                ; |110| 
||         MV      .S2     B0,B2
||         MVK     .D1     6,A0              ; |110| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : src/dma.c
;*      Loop source line                 : 110
;*      Loop opening brace source line   : 111
;*      Loop closing brace source line   : 125
;*      Known Minimum Trip Count         : 8                    
;*      Known Maximum Trip Count         : 8                    
;*      Known Max Trip Count Factor      : 8
;*      Loop Carried Dependency Bound(^) : 23
;*      Unpartitioned Resource Bound     : 5
;*      Partitioned Resource Bound(*)    : 6
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2        4     
;*      .D units                     3        6*    
;*      .M units                     0        0     
;*      .X cross paths               1        0     
;*      .T address paths             2        6*    
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          2        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        2     
;*      Bound(.L .S .D .LS .LSD)     3        4     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 23 Cycle count too high.  Never profitable
;*         ii = 23 Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop is interruptible
;*      Epilog not removed
;*      Collapsed epilog stages       : 0
;*
;*      Prolog not removed
;*      Collapsed prolog stages       : 0
;*
;*      Minimum required memory pad   : 0 bytes
;*
;*      For further improvement on this loop, try option -mh16
;*
;*      Minimum safe trip count       : 2
;*----------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP KERNEL
           NOP             4
           SHL     .S2     B1,5,B1           ; |113| <0,5>  ^ 

           ADD     .L2     B3,B0,B5          ; |113| <0,6> 
||         SET     .S2     B1,2,4,B1         ; |113| <0,6>  ^ 

           STW     .D2T2   B1,*B5            ; |113| <0,7>  ^ 
           LDW     .D2T2   *B4++(16),B1      ; |116| <0,8>  ^ 
           NOP             4
           SHL     .S2     B1,B0,B1          ; |116| <0,13>  ^ 
           STW     .D2T2   B1,*B7            ; |116| <0,14>  ^ 
           LDW     .D2T2   *-B4(8),B1        ; |119| <0,15>  ^ 
           NOP             2
   [ A0]   BDEC    .S1     $C$L6,A0          ; |110| <0,18> 
           NOP             1
           SHL     .S2     B2,B1,B1          ; |119| <0,20>  ^ 

           MV      .L1     A7,A4             ; |124| <0,21> 
||         SHL     .S1X    B2,A3,A6          ; |122| <0,21> 
||         ADD     .D1     A7,16,A7          ; |124| <0,21> 
||         STW     .D2T2   B1,*B6            ; |119| <0,21>  ^ 

           STW     .D1T1   A6,*A5            ; |122| <0,22>  ^ 

           ADD     .L1     1,A3,A3           ; |110| <0,23> 
||         ADD     .L2     4,B0,B0           ; |110| <0,23> 
||         STW     .D1T1   A2,*+A4(12)       ; |124| <0,23> 
||         LDW     .D2T2   *+B4(4),B1        ; |113| <1,0>  ^ 

;** --------------------------------------------------------------------------*
$C$L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
;** 134	-----------------------    *(volatile unsigned *)0x1c00284u = C$1 = 0u;
;** 140	-----------------------    *(volatile unsigned *)0x1c10140u = C$1;
;** 141	-----------------------    *(volatile unsigned *)0x1c10540u = C$1;
;**  	-----------------------    return;
           ADD     .L2     B3,B0,B9          ; |113| (E) <1,6> 
           SHL     .S1X    B2,A3,A6          ; |122| (E) <1,21> 
           ADDAD   .D2     B3,16,B16
           MVK     .S1     16,A0             ; |129| 
           SHL     .S2     B1,5,B19          ; |113| (E) <1,5>  ^ 
           SET     .S2     B19,2,4,B19       ; |113| (E) <1,6>  ^ 
           STW     .D2T2   B19,*B9           ; |113| (E) <1,7>  ^ 
           LDW     .D2T2   *B4++(16),B9      ; |116| (E) <1,8>  ^ 
           ZERO    .L2     B18               ; |134| 
           ADD     .L2     4,B16,B17
           MVKL    .S2     0x1c10140,B5
           MVKH    .S2     0x1c10140,B5
           SHL     .S2     B9,B0,B9          ; |116| (E) <1,13>  ^ 
           STW     .D2T2   B9,*B7            ; |116| (E) <1,14>  ^ 
           LDW     .D2T2   *-B4(8),B4        ; |119| (E) <1,15>  ^ 
           MVKL    .S1     0x1c10540,A4
           MVKH    .S1     0x1c10540,A4
           NOP             2
           SHL     .S2     B2,B4,B4          ; |119| (E) <1,20>  ^ 
           STW     .D2T2   B4,*B6            ; |119| (E) <1,21>  ^ 

           RET     .S2     B8                ; |153| 
||         STW     .D1T1   A6,*A5            ; |122| (E) <1,22>  ^ 

           STW     .D1T1   A2,*+A7(12)       ; |124| (E) <1,23> 
           STW     .D2T1   A0,*B16           ; |129| 
           STW     .D2T2   B18,*B17          ; |134| 
           STW     .D2T2   B18,*B5           ; |140| 
           STW     .D1T2   B18,*A4           ; |141| 
           ; BRANCH OCCURS {B8}              ; |153| 
	.sect	".text"
	.clink
	.global	_qdma_copy2d

;******************************************************************************
;* FUNCTION NAME: qdma_copy2d                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A7,B0,B3,B4,B5,B6,B7,B8               *
;*   Regs Used         : A0,A1,A2,A3,A4,A6,A7,A8,A10,B0,B3,B4,B5,B6,B7,B8     *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_qdma_copy2d:
;** --------------------------------------------------------------------------*
;** 224	-----------------------    C$1 = (_qdmaNr<<4)+&qdma;
;** 224	-----------------------    param = (volatile unsigned *)((*C$1).param_nr<<5)+0x1c04000u;
;** 226	-----------------------    *param = (*C$1).tcc_nr<<12|0x10000cu;
;** 237	-----------------------    param[1] = (unsigned)_src;
;** 239	-----------------------    param[2] = _numY<<16|(unsigned)(unsigned short)_numBytesX;
;** 245	-----------------------    param[3] = (unsigned)_dst;
;** 247	-----------------------    param[4] = (unsigned)(_dstPitch<<16)|(unsigned)(unsigned short)_srcPitch;
;** 251	-----------------------    param[5] = 65535u;
;** 257	-----------------------    param[6] = 0u;
;** 259	-----------------------    param[7] = C$2 = 1u;
;** 261	-----------------------    (*C$1).b_running = C$2;
;**  	-----------------------    return;

           MV      .L1     A4,A1             ; |222| 
||         MVKL    .S1     _qdma,A0

           SHL     .S1     A1,4,A1           ; |224| 
           MVKH    .S1     _qdma,A0
           ADD     .L1     A0,A1,A4          ; |224| 
           LDW     .D1T1   *+A4(4),A0        ; |224| 
           MVK     .S1     0xc,A7
           MVKL    .S2     0x1c04000,B7
           SET     .S1     A7,0x14,0x14,A7
           MVKH    .S2     0x1c04000,B7

           SHL     .S1     A0,5,A1           ; |224| 
||         LDW     .D1T1   *+A4(8),A0        ; |226| 

           MV      .L2     B6,B5             ; |222| 
           MV      .L2     B4,B6             ; |222| 
           ADD     .L2X    B7,A1,B4          ; |224| 
           MV      .L1X    B8,A3             ; |222| 
           SHL     .S1     A0,12,A0          ; |226| 
           OR      .L1     A7,A0,A0          ; |226| 
           STW     .D2T1   A0,*B4            ; |226| 

           MV      .L1X    B3,A2             ; |222| 
||         STW     .D2T2   B5,*+B4(4)        ; |237| 
||         PACK2   .S1     A10,A3,A0         ; |239| 
||         MV      .L2X    A6,B8             ; |222| 

           STW     .D2T1   A0,*+B4(8)        ; |239| 
||         PACK2   .L2X    B8,A8,B0          ; |247| 

           STW     .D2T2   B6,*+B4(12)       ; |245| 
||         RET     .S2X    A2                ; |262| 
||         ZERO    .L2     B3

           STW     .D2T2   B0,*+B4(16)       ; |247| 
||         SET     .S2     B3,0x0,0xf,B3

           STW     .D2T2   B3,*+B4(20)       ; |251| 
||         ZERO    .L2     B0                ; |257| 

           STW     .D2T2   B0,*+B4(24)       ; |257| 
||         MVK     .L2     0x1,B0            ; |259| 

           STW     .D2T2   B0,*+B4(28)       ; |259| 
           STW     .D1T2   B0,*+A4(12)       ; |261| 
           ; BRANCH OCCURS {A2}              ; |262| 
	.sect	".text"
	.clink
	.global	_qdma_copy1d

;******************************************************************************
;* FUNCTION NAME: qdma_copy1d                                                 *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,B0,B2,B3,B4                        *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,B0,B2,B3,B4,B6                  *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_qdma_copy1d:
;** --------------------------------------------------------------------------*
;** 178	-----------------------    C$1 = (_qdmaNr<<4)+&qdma;
;** 178	-----------------------    param = (volatile unsigned *)((*C$1).param_nr<<5)+0x1c04000u;
;** 180	-----------------------    *param = (*C$1).tcc_nr<<12|0x100008u;
;** 191	-----------------------    param[1] = (unsigned)_src;
;** 193	-----------------------    param[2] = (unsigned)(unsigned short)_numBytes|0x10000u;
;** 199	-----------------------    param[3] = (unsigned)_dst;
;** 201	-----------------------    param[4] = C$3 = 0u;
;** 203	-----------------------    param[5] = 65535u;
;** 209	-----------------------    param[6] = C$3;
;** 211	-----------------------    param[7] = C$2 = 1u;
;** 213	-----------------------    (*C$1).b_running = C$2;
;**  	-----------------------    return;

           MV      .L1     A4,A0             ; |176| 
||         MVKL    .S1     _qdma,A1

           SHL     .S1     A0,4,A0           ; |178| 
           MVKH    .S1     _qdma,A1
           ADD     .L1     A1,A0,A4          ; |178| 
           LDW     .D1T1   *+A4(8),A0        ; |180| 
           LDW     .D1T1   *+A4(4),A1        ; |178| 
           MVK     .S2     0x8,B0
           MV      .L1X    B4,A2             ; |176| 
           MVKL    .S2     0x1c04000,B4
           SHL     .S1     A0,12,A0          ; |180| 

           SHL     .S1     A1,5,A1           ; |178| 
||         SET     .S2     B0,0x14,0x14,B0

           MVKH    .S2     0x1c04000,B4
||         OR      .L2X    B0,A0,B0          ; |180| 

           ADD     .L2X    B4,A1,B4          ; |178| 
||         MV      .L1X    B6,A3             ; |176| 

           STW     .D2T2   B0,*B4            ; |180| 
||         EXTU    .S1     A3,16,16,A0       ; |193| 
||         MV      .L1X    B3,A5             ; |176| 
||         MV      .L2X    A6,B3             ; |176| 

           STW     .D2T2   B3,*+B4(4)        ; |191| 
||         SET     .S1     A0,16,16,A0       ; |193| 

           STW     .D2T1   A0,*+B4(8)        ; |193| 
||         ZERO    .L2     B2

           ZERO    .L2     B0                ; |201| 
||         RET     .S2X    A5                ; |214| 
||         STW     .D2T1   A2,*+B4(12)       ; |199| 

           STW     .D2T2   B0,*+B4(16)       ; |201| 
||         SET     .S2     B2,0x0,0xf,B2

           STW     .D2T2   B2,*+B4(20)       ; |203| 

           STW     .D2T2   B0,*+B4(24)       ; |209| 
||         MVK     .L2     0x1,B0            ; |211| 

           STW     .D2T2   B0,*+B4(28)       ; |211| 
           STW     .D1T2   B0,*+A4(12)       ; |213| 
           ; BRANCH OCCURS {A5}              ; |214| 

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
