/* ----
 * ---- file   : kmod.h
 * ---- author : Bastian Spiegel <bs@tkscript.de>
 * ---- legal  : (c) 2013 by Bastian Spiegel. 
 * ----          Distributed under terms of the GNU GENERAL PUBLIC LICENSE (GPL). See 
 * ----          http://www.gnu.org/licenses/licenses.html#GPL or COPYING for further information.
 * ----
 * ---- info   : C64 kernel module. This is part of the "c64_tools" package.
 * ----
 * ---- changed: 14Sep2013, 17Sep2013, 02Oct2013
 * ----
 * ----
 */

#ifndef __C64_TOOLS_KMOD_H__
#define __C64_TOOLS_KMOD_H__


/* (note) in order for this to work, the kernel must be patched so that it returns 
 *         a CMA block at a fixed physical address when DSP_MAX_IMAGE_SIZE bytes are
 *         allocated via dma_alloc_coherent() by the "c64_tools" _driver.
 *
 *          (e.g. the latest Pandora kernel, thanks notaz!)
 */
#define USE_PLATFORM_DRIVER defined


#ifdef USE_PLATFORM_DRIVER
/* DSP reset vector and code memory area */
S_EXTERN void *dma_virt_4m;
#endif

S_EXTERN sUI c64_debug_level;


#define C64_DEBUG_LEVEL(lvl)  (c64_debug_level >= (lvl))

//#define C64_DEBUG_LEVEL(lvl)  (0)


#endif /* __C64_TOOLS_KMOD_H__ */
